option dotname

.span macro
	.code
endm

.handler macro handler_file_name
	include handler_file_name.asm
endm

r2m macro reg32, mem32
	if mem32 eq 0
	xor		reg32, reg32
	else
	mov 	reg32, mem32
	endif
endm

m2m	macro mem32A, mem32B
	push	mem32B
	pop		mem32A
endm

return macro retCode:=<0>
	if retCode eq 0
	xor		eax, eax
	else
	mov		eax, retCode
	endif
	ret
endm

func macro functionName:req, functionParams:vararg
	invoke	functionName, functionParams
	exitm	<eax>
endm

csz macro name, text:vararg
	jmp		@f
	name	db text, 0
	@@:
endm