.386
.model flat, stdcall

option casemap:none
option proc:private

include windows.inc

include kernel32.inc
includelib kernel32.lib

include user32.inc
includelib user32.lib

WM_CUSTOM_MESSAGE = WM_USER + 1001

.data
	hInst			dd 0
	szClassName		db "MsgOnlyWnd", 0
	szMyTitle		db "Message Only Window", 0
	szMyMessage		db "Custom Message Received!", 0
	szMyClose		db "WM_CLOSE Message Received!", 0
	hwnd			HWND 0
	wc				WNDCLASSEX <>	
	msg				MSG <>
.code
console:
	invoke 	GetModuleHandle, NULL
	mov		hInst, eax
	
	; -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	; Register the class
	; -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	mov		wc.hInstance, eax	; hInstance
	mov		wc.lpszClassName, offset szClassName
	mov		wc.lpfnWndProc, offset WndProc
	mov		wc.style, CS_DBLCLKS
	mov		wc.cbSize, sizeof WNDCLASSEX
	mov		wc.hIcon, NULL
	mov		wc.hIconSm, NULL
	mov		wc.hCursor, NULL
	mov		wc.lpszMenuName, NULL
	mov		wc.cbClsExtra, 0
	mov		wc.cbWndExtra, 0
	mov		wc.hbrBackground, NULL
	invoke	RegisterClassEx, addr wc
	.if		!eax
		jmp closing
	.endif
	
	invoke	CreateWindowEx,\
		NULL, \
		addr szClassName,\
		NULL,\
       	NULL,\		 ; No need for window style
       	0, 0, 0, 0,\ ; Window dimension no longer needed as well
       	HWND_MESSAGE,\ ; Message only window
       	NULL,\
       	hInst,\
       	NULL
	mov		hwnd, eax
	
	; -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	; Messageloop
	; -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	.while TRUE
		invoke GetMessage, addr msg, hwnd, 0, 0
		.break .if eax != TRUE ; Terminate the loop if quit message received
	.endw
	
	closing:
	invoke	ExitProcess, 0
	
WndProc proc hWnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM

	.if uMsg==WM_CUSTOM_MESSAGE
		invoke	MessageBox, hWnd, addr szMyMessage, addr szMyTitle, MB_OK or MB_ICONINFORMATION
	.elseif uMsg==WM_CLOSE
		invoke	MessageBox, hWnd, addr szMyClose, addr szMyTitle, MB_OK or MB_ICONINFORMATION
		invoke	PostQuitMessage, 0
	.endif

	ret
WndProc endp

end console